Skip to main content
DELETE
/
api
/
v1
/
shared-secrets
/
{id}
cURL
curl --request DELETE \
  --url https://us.infisical.com/api/v1/shared-secrets/{id}
{
  "id": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "expiresAfterViews": 123,
  "accessType": "anyone",
  "name": "<string>",
  "lastViewedAt": "2023-11-07T05:31:56Z",
  "type": "share",
  "authorizedEmails": null,
  "identityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "allowExternalEmails": false
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

The ID of the shared secret to delete.

Response

Default Response

id
string
required
expiresAt
string<date-time>
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
userId
string<uuid> | null
orgId
string<uuid> | null
expiresAfterViews
number | null
accessType
string
default:anyone
name
string | null
lastViewedAt
string<date-time> | null
type
string
default:share
authorizedEmails
unknown
identityId
string<uuid> | null
allowExternalEmails
boolean | null
default:false